@import "~angular-gridster/dist/angular-gridster.min.css";
@import "../../../shared/styles/variables";

.gridster-wrapper {
	width: 100%;
	display: block;
}

.gridster-spacer {
	width: 100%;
	height: 84px;
}

.gridster-container {
	opacity: 1;
	transition: none;
	margin: 0;
}

.dashboard-widgets-empty {
	text-align: center;
	color: #bbb;
	font-weight: 300;
	position: absolute;
	left: 0;
	right: 0;
	bottom: 0;
	top: 0;
	display: flex;
	align-items: center;
	zs-icon {
		font-size: 12rem;
		line-height: .5em;
		opacity: .5;
	}
}

.dashboard-widgets-empty-inner {
	margin: auto;
	align-self: center;
}

.dashboard-widgets-empty-primary {
	font-size: 2em;
	margin-bottom: 5px;
}

.dashboard-widgets-empty-secondary {
	font-size: 1.4em;
}

.gridster-mobile .gridster-item {
	position: relative;
}

.widget {
	background: #fff;
	box-shadow: #{$shadow};
	border-radius: 3px;
	position: relative;
	&.create {
		[class*="gridster-item-resizable"] {
			display: none;
		}
	}

	.widget-choose-search,
	&.widget-create-list {
		.search-field {
			margin-left: 20px;
			margin-right: 20px;
		}
	}
	&.widget-create-list {
		box-shadow: none;
		.list-select {
			.list-item {
				button {
					zs-icon {
						float: left;
					}
				}
			}
		}
	}
	zs-table {
		overflow: auto;
		display: block;
	}
}

.search-table-wrapper {
	overflow: auto;
}

.widget-filter {
	position: absolute;
	right: 55px;
	top: 0px;
	button {
		@include button-reset();
	}
	&.widget-filter-visible {
		button {
			position: absolute;
			left: 5px;
			top: 0;
			font-size: 1.2rem;
			&:hover {
				color: rgba(0, 0, 0, 0.3);
			}
		}
		input {
			text-indent: 30px;
		}
	}
}

$widget-header-title: 1.35rem;
$widget-header-title-height: 4rem;

.widget-header {
	background: #fff;
	width: 100%;
	border-radius: 3px 3px 0 0;
	display: flex;
	align-items: center;
	min-width: 0;
	white-space: nowrap;

	.widget-filter-input {
		position: absolute;
		left: 0;
		top: 0;
		z-index: 1;
		line-height: 3;
		padding-left: 1rem;
		padding-right: 3rem;
		border: none;
		overflow: hidden;
		text-overflow: ellipsis;
		white-space: nowrap;
		&:focus {
			outline-width: 0;
			border-bottom: 2px solid $primary-color;
		}
		&.ng-hide ~ .widget-header-button {
			background: red;
		}
	}

	zs-icon[icon-type="close-circle"] {
		font-size: 1.2rem;
	}

}

.widget-header-button {
	width: 40px;
	height: 40px;
	line-height: 40px;
	text-align: center;
	border-radius: 100%;
	flex-shrink: 0;
	&.widget-header-remove-button {
		margin-right: 10px;
	}
	&:hover,
	&:focus,
	&:active {
		background: #eee;
		outline-width: 0;
	}
}

.widget-header-title {
	font-size: $widget-header-title;
	padding: 1rem 0rem 1rem 1.33rem;
	display: flex;
	align-items: center;
	height: $widget-header-title-height;
	white-space: nowrap;
	overflow: hidden;
	margin-right: auto;

	span {
		text-overflow: ellipsis;
		overflow: hidden;
		display: inline-block;
	}
	&:hover {
		cursor: move;
	}
	.spinner-wrapper {
		display: block;
		margin-left: 7px;
	}
}

.widget-create-button {
	position: absolute;
	right: 0;
	left: 0;
	bottom: 0;
	top: 0;
	text-align: center;
	width: 100%;
	i {
		font-size: 1.7em;
	}
	.widget-create-button-text, i {
		display: inline-block;
		vertical-align: middle;
	}
	&:hover {
		background: rgba(0, 0, 0, 0.09);
	}
}

.widget-header-search-button {
	z-index: 3;
	right: 50px;
	&.widget-header-search-button-active {
		position: absolute;
		width: 20px;
		height: 20px;
		line-height: 20px;
		padding: 0;
		right: 15px;
		top: 19px;
		z-index: 2;
		&:focus,
		&:hover {
			background: transparent;
			.mdi {
				color: #000;
			}
		}
	}
}

.gridster-item:not(.gridster-item-moving) {
	z-index: inherit;
}

.gridster-item.gridster-preview-holder {
	background: rgba(0, 0, 0, 0.6) !important;
}

.handle-se {
	bottom: 3px;
	right: 3px;
}

.case-status-template {
	position: relative;
	width: 25px;
	zs-notification-counter {
		position: absolute;
		top: -8px;
		right: -7px;
		span {
			width: 14px;
			height: 14px;
			line-height: 14px;
			font-size: .8rem;
			border: 2px solid #fff;
			box-sizing: content-box;
		}
	}
}

// favoriete zaaktypen widget

zs-dashboard-widget-casetype zs-object-suggest {
	padding-left: 1.333rem;
	padding-right: 1.333rem;
}

.widget-type-create .widget-header-title {
	&:hover {
		cursor: default;
	}
}

// make actions button in case table rounded

.widget-type-search [column-id="actions"] zs-dropdown-menu .btn {
	width: 1.6rem;
	height: 1.6rem;
	line-height: 1.6rem;
	margin: -0.25rem 0;
	border-radius: 100%;
	padding: 0;
}

$widget-fade-width: .2rem;
$widget-fade-gradient-color: rgba(0, 0, 0, 0.1);

@media #{$medium-large-and-up} {
	.widget-type-search {
		.zs-table-row {
			&:hover {
				cursor: pointer;
			}
			&:hover {
				background: #f5f5f5;
			}
			&:focus,
			&:active {
				background: #eee;
				outline-width: 0;
			}
		}
	}
	.widget-type-casetype,
  .widget-type-search,
  .widget-type-external-url {
		display: flex;
		flex-direction: column;
		min-height: 0px;
		height: 100%;
		.widget-content {
			flex: 1;
			min-height: 0px;
			overflow-y:auto;
		}
	}
  .widget-type-casetype,
  .widget-type-external-url,
  .widget-type-tasks-iframe {
		.widget-header-filter {
			display: none;
		}
	}
	.widget {
		.search-table-wrapper {
			display: block;
			position: absolute;
			top: 4.067rem;
			left: 0;
			right: 0;
			bottom: $widget-pagination-height;
			overflow: auto;
		}
		.pagination {
			position: absolute;
			bottom: 0;
			width: 100%;
			background: #fff;
			border-radius: 0 0 3px 3px;
			overflow: hidden;
		}
		.widget-choose-search .pagination {
			position: static;
		}
	}

}

.widget-inner-scroll-shade {
	opacity: 0;
	transition: opacity 0.25s ease-out 0.25s;
}

.fade-overflow-right ~ .widget-inner-scroll-shade-right,
.fade-overflow-left ~ .widget-inner-scroll-shade-left,
.fade-overflow-top ~ .widget-inner-scroll-shade-top,
.fade-overflow-bottom ~ .widget-inner-scroll-shade-bottom {
	opacity: 1;
}

.widget-inner-scroll-shade-right::before,
.widget-inner-scroll-shade-left::before,
.widget-inner-scroll-shade-top::before,
.widget-inner-scroll-shade-bottom::before {
	content: '';
	position: absolute;
}

.fade-overflow-right ~ .widget-inner-scroll-shade-right::before,
.fade-overflow-left ~ .widget-inner-scroll-shade-left::before {
	bottom: $widget-pagination-height;
	top: $widget-header-title-height;
	width: $widget-fade-width;
}

.fade-overflow-top ~ .widget-inner-scroll-shade-top::before,
.fade-overflow-bottom ~ .widget-inner-scroll-shade-bottom::before {
	height: $widget-fade-width;
	left: 0;
	right: 0;
}

.fade-overflow-right ~ .widget-inner-scroll-shade-right::before {
	right: 0;
	background: linear-gradient(90deg, transparent, $widget-fade-gradient-color);
}

.fade-overflow-left ~ .widget-inner-scroll-shade-left::before {
	left: 0;
	background: linear-gradient(90deg, $widget-fade-gradient-color, transparent);
}

.fade-overflow-top ~ .widget-inner-scroll-shade-top::before {
	top: $widget-header-title-height;
	background: linear-gradient(0deg, transparent, $widget-fade-gradient-color);
	border-top: 1px solid #ddd;
}

.fade-overflow-bottom ~ .widget-inner-scroll-shade-bottom::before {
	bottom: $widget-pagination-height;
	background: linear-gradient(0deg, $widget-fade-gradient-color, transparent);
	border-bottom: 1px solid #ddd;
}
